/***************************************************************************/
/*                                                                         */
/*        FileName:     CMp3Header.cc                                      */
/*        Created By:   Owen Lloyd                                         */
/*                                                                         */
/*        Date:         November 3rd, 2000                                 */
/*        Email:        o_lloyd@hotmail.com                                */
/*                                                                         */
/*        Compatible:   Linux, Windows                                     */
/*                                                                         */
/*        Summary:      This class will extract the .mp3 frame header      */
/*                      information a mp3 file.                            */
/*                                                                         */
/***************************************************************************/


#include <stdio.h>


class CMp3Header
{
	public:
		CMp3Header();              //This is not valid - DO NOT USE
		CMp3Header(char *cpName);  //This is the VALID contructor.

		int iGetBitRate();
		int iGetSampleFreq();
		int iGetFileSize();
		int iGetTime();
		int iGetMPEGVersion();
		int iGetMPEGLayer();
		int iGetPadding();
		int iGetCRC();
		int iGetMode();
		int iGetModeExt();
		int iGetPrivate();
		int iGetCopyright();
		int iGetOriginal();
		int iGetEmphasis();
		void ShowResults();
		bool bGetValid();

	private:
		char cFileName[1024];
		bool bValid;
		unsigned int iData;
		void GetData(int iLocation, int iWidth, int &iVar);
		char * cpExtractFileName(char cBuffer[]);


		int iTime;
		int iFileSize;
		int iSyncWord;
		int iMPEGVersion;
		int iMPEGLayer;
		int iProtection;
		int iBitRate;
		int iBitRateReal;
		int iSampleFreq;
		int iPaddingBit;
		int iPrivateBit;
		int iMode;
		int iModeExt;
		int iCopyright;
		int iOrigHome;
		int iEmphasis;

		bool bLoadData();
		void Initialize();
};
